﻿

Public Class ShowOrEditPersonControl



    Public Property IsInEditMode As Boolean
        Get
            Return CBool(GetValue(IsInEditModeProperty))
        End Get

        Set(ByVal value As Boolean)
            SetValue(IsInEditModeProperty, value)
        End Set
    End Property

    Public Shared ReadOnly IsInEditModeProperty As DependencyProperty =
                           DependencyProperty.Register("IsInEditMode",
                           GetType(Boolean), GetType(ShowOrEditPersonControl),
                           New PropertyMetadata(False))




    Public Property FirstName As String
        Get
            Return CType(GetValue(FirstNameProperty), String)
        End Get

        Set(ByVal value As String)
            SetValue(FirstNameProperty, value)
        End Set
    End Property

    Public Shared ReadOnly FirstNameProperty As DependencyProperty =
                           DependencyProperty.Register("FirstName",
                           GetType(String), GetType(ShowOrEditPersonControl),
                           New PropertyMetadata(Nothing))


    Public Property LastName As String
        Get
            Return CType(GetValue(LastNameProperty), String)
        End Get

        Set(ByVal value As String)
            SetValue(LastNameProperty, value)
        End Set
    End Property

    Public Shared ReadOnly LastNameProperty As DependencyProperty =
                           DependencyProperty.Register("LastName",
                           GetType(String), GetType(ShowOrEditPersonControl),
                           New PropertyMetadata(Nothing))



End Class
